package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BaseLine;
import com.railway.business.baseinfo.domain.vo.BaseLineQuery;
import com.railway.business.baseinfo.domain.vo.BaseLineVo;
import com.railway.common.core.domain.entity.SysDept;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * primary key (line_id) using
 *
 * @author author
 * @date 2021/10/16
 */
@Mapper
@Repository
public interface BaseLineMapper {

  /**
   * 新增
   */
  int insert(BaseLine baseLine);

  /**
   * 删除
   */
  int delete(@Param("lineId") Long lineId);

  /**
   * 更新
   */
  int update(BaseLine baseLine);

  /**
   * 获取单个
   */
  BaseLineVo getInfo(@Param("lineId") Long lineId);

  /**
   * 查询列表
   */
  Page<BaseLineVo> getList(BaseLineQuery query);

  /**
   * 查询列表
   */
  Page<BaseLine> getListByDeptId(@Param("deptId") Long deptId);


}
